Quattro9GraphInternal::Textbox Struct Reference

Internal: a shape of a Quattro9Graph. More...

## Public Member Functions
| Textbox ()
| constructor

## Public Attributes
WPSFont | m_font
| the font
WPSParagraph | m_paragraph
| the paragraph
WPSGraphicStyle | m_style
| the textbox style
Quattro9ParserInternal::TextEntry | m_text
| the text
std::shared_ptr< WPSStream > | m_stream
| the text stream

## Detailed Description

Internal: a shape of a Quattro9Graph.

## Constructor & Destructor Documentation

## ◆ Textbox()

Quattro9GraphInternal::Textbox::Textbox | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_font

WPSFont Quattro9GraphInternal::Textbox::m_font

the font

Referenced by Textbox().

## ◆ m_paragraph

WPSParagraph Quattro9GraphInternal::Textbox::m_paragraph

the paragraph

Referenced by Textbox().

## ◆ m_stream

std::shared_ptr<WPSStream> Quattro9GraphInternal::Textbox::m_stream

the text stream

Referenced by Textbox().

## ◆ m_style

WPSGraphicStyle Quattro9GraphInternal::Textbox::m_style

the textbox style

Referenced by Textbox().

## ◆ m_text

Quattro9ParserInternal::TextEntry Quattro9GraphInternal::Textbox::m_text

the text

Referenced by Textbox().

The documentation for this struct was generated from the following file:

- Quattro9Graph.cpp